MOUNT.VBOXSF(8)

NAME
mount.vboxsf - x86 virtualization solution

SYNOPSIS
mount.vboxsf [OPTIONS] NAME MOUNTPOINT

DESCRIPTION
Mount the VirtualBox shared folder NAME from the host system to MOUNTPOINT.

-w  mount the shared folder writable (the default)

-r  mount the shared folder read-only

-n  do not create an mtab entry

-s  sloppy parsing, ignore unrecognized mount options

-o OPTION[,OPTION...] use the mount options specified

  Available mount options are:

rw  mount writable (the default)

ro  mount read only

uid=UID
    set the default file owner user id to UID

gid=GID
    set the default file owner group id to GID

ttl=MILLIESECSONDS set the "time to live" for both the directory cache
    and inode info. -1 for kernel default, 0 disables it.

dcachettl=MILLIES
    set the "time to live" for the directory cache, overriding the 'ttl' option. Ignored if negative.

inodettl=MILLIES
    set the "time to live" for the inode information, overriding the 'ttl' option. Ignored if negative.

maxiopages=PAGES
    set the max host I/O buffers size in pages. Uses default if zero.

dirbuf=BYTES
    set the directory enumeration buffer size in bytes. Uses default size if zero.

cache=MODE
    set the caching mode for the mount. Allowed values:

default: use the kernel default (strict)
    none: no caching; may experience guest side

coherence issues between mmap and read.
    strict: no caching, except for writably mapped

files (for guest side coherence)
    read: read via the page cache; host changes

may be completely ignored
    readwrite: read and write via the page cache; host

changes may be completely ignored and
    guest changes takes a while to reach the host

dmode=MODE
    override the mode of all directories to (octal) MODE

fmode=MODE
    override the mode of all regular files to (octal) MODE

umask=UMASK
    set the umask to (octal) UMASK

dmask=UMASK
    set the umask applied to directories only

fmask=UMASK
    set the umask applied to regular files only

iocharset CHARSET
    use the character set CHARSET for I/O operations (default set is utf8)

convertcp CHARSET
    convert the folder name from CHARSET to utf8

  Less common used options:

    noexec,exec,nodev,dev,nosuid,suid